	import * as THREE from 'three';


	// PLC
	export function plc(width=500, height=300, depth=600) {
		const plcObject = new THREE.Object3D();
		const cardsObject = new THREE.Object3D();
		
	
		const greenmaterial = new THREE.MeshLambertMaterial({color: 0x00ff11});
		const greenDarkmaterial = new THREE.MeshLambertMaterial({color: 0x0b5e11});
		const graymaterial = new THREE.MeshLambertMaterial({color: 0x575757});
		const graymaterial2 = new THREE.MeshLambertMaterial({color: 0x7d7d7d});
		const silvermaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const blackmaterial = new THREE.MeshLambertMaterial({color: 0x000000});

		
		// base
		const basegeometry = new THREE.BoxGeometry(width, height, depth);
		const basegeometrymesh = new THREE.Mesh(basegeometry, silvermaterial);
		basegeometrymesh.position.set( 0, 0 ,0);
		plcObject.add(basegeometrymesh);	
		
		// card
		const cardgeometry = new THREE.BoxGeometry(5, 270, 50);
		const cardgeometrymesh = new THREE.Mesh(cardgeometry, blackmaterial);
		cardgeometrymesh.position.set( -250, 0 , -200);
		cardsObject.add(cardgeometrymesh);
		
		//led1
		const led1green = new THREE.BoxGeometry(3, 20, 20);
		const led1greenmesh = new THREE.Mesh(led1green, greenmaterial);
		led1greenmesh.position.set( -254, 120 , -200);
		cardsObject.add(led1greenmesh);		
		//led2
		const led2green = new THREE.BoxGeometry(3, 20, 20);
		const led2greenmesh = new THREE.Mesh(led2green, greenmaterial);
		led2greenmesh.position.set( -254, 90 , -200);
		cardsObject.add(led2greenmesh);
		//led3
		const led3green = new THREE.BoxGeometry(3, 20, 20);
		const led3greenmesh = new THREE.Mesh(led3green, greenmaterial);
		led3greenmesh.position.set( -254, 60 , -200);
		cardsObject.add(led3greenmesh);
		//led4
		const led4green = new THREE.BoxGeometry(3, 20, 20);
		const led4greenmesh = new THREE.Mesh(led4green, greenmaterial);
		led4greenmesh.position.set( -254, 30 , -200);
		cardsObject.add(led4greenmesh);
		//led5
		const led5green = new THREE.BoxGeometry(3, 20, 20);
		const led5greenmesh = new THREE.Mesh(led5green, greenDarkmaterial);
		led5greenmesh.position.set( -254, 0 , -200);
		cardsObject.add(led5greenmesh);			
		//led6
		const led6green = new THREE.BoxGeometry(3, 20, 20);
		const led6greenmesh = new THREE.Mesh(led6green, greenDarkmaterial);
		led6greenmesh.position.set( -254, -30 , -200);
		cardsObject.add(led6greenmesh);
		//led7
		const led7green = new THREE.BoxGeometry(3, 20, 20);
		const led7greenmesh = new THREE.Mesh(led7green, greenDarkmaterial);
		led7greenmesh.position.set( -254, -60 , -200);
		cardsObject.add(led7greenmesh);		
		//led8
		const led8green = new THREE.BoxGeometry(3, 20, 20);
		const led8greenmesh = new THREE.Mesh(led8green, greenDarkmaterial);
		led8greenmesh.position.set( -254, -90 , -200);
		cardsObject.add(led8greenmesh);
		//led9
		const led9green = new THREE.BoxGeometry(3, 20, 20);
		const led9greenmesh = new THREE.Mesh(led9green, greenDarkmaterial);
		led9greenmesh.position.set( -254, -120 , -200);
		cardsObject.add(led9greenmesh);		
		
		//CLONE Cards

		const card2 = cardsObject.clone();
		card2.position.set( 0, 0 , 50);
		plcObject.add(card2);
		
		const card3 = cardsObject.clone();
		card3.position.set( 0, 0 , 100);
		plcObject.add(card3);
		
		const card4 = cardsObject.clone();
		card4.position.set( 0, 0 , 150);
		plcObject.add(card4);	
		
		const card5 = cardsObject.clone();
		card5.position.set( 0, 0 , 200);
		plcObject.add(card5);
		
		// baseScreen
		const baseScreengeometry = new THREE.BoxGeometry(5, 270, 200);
		const baseScreengeometrymesh = new THREE.Mesh(baseScreengeometry, blackmaterial);
		baseScreengeometrymesh.position.set( -254, 0 , 120);
		plcObject.add(baseScreengeometrymesh);	
		
		// 1livel
		const livel1geometry = new THREE.BoxGeometry(50, 150, 150);
		const livel1geometrymesh = new THREE.Mesh(livel1geometry, graymaterial);
		livel1geometrymesh.position.set( -256, 0 , 120);
		plcObject.add(livel1geometrymesh);
		// 2livel
		const livel2geometry = new THREE.BoxGeometry(50, 100, 149);
		const livel2geometrymesh = new THREE.Mesh(livel2geometry, graymaterial2);
		livel2geometrymesh.position.set( -286, 0 , 120);
		plcObject.add(livel2geometrymesh);			
		
		
		plcObject.add(cardsObject);
		
	
		
		return plcObject;
	}
